Subject: Ftp-WG: mlst draft -09

From: "Jan Mikkelsen" <[email-masked]>
Date: Wed, 15 Dec 1999 20:16:14 -0500

Alun Jones writes:
>With my wife studying up for her Windows-2000 exams, I find myself
>wondering if an emphasis wouldn't better be put on asking that clients
>respect the SRV records of DNS servers (as specified in RFC 2052, about to
>be superseded).  This would have the advantage (for me) of not requiring
>any changes to an FTP server - the client would look up the service record
>for _ftp._tcp.yourdomain and use the address and port information returned
>from that to connect to an FTP server for that domain.

DNS resolver issues aside, there are scalability issues with this approach.

It requires one address and port combination to be used for each virtual
host.  For hosts running thousands of virtual hosts, this means thousands of
listening handles instead of one.

Regards,

Jan Mikkelsen
[email-masked]